<?php
/*	sheets : print sheet
	name : 見積書/請求書
	author: team1/3
	
*/

	global $params,$config;

	if (!isset($config)) { die(); }
	
	draw_print();
	
	$params['rendering'] = false;

function draw_print()
{
	global $html,$params,$database,$ut;
	
	$page_ar = &$params['page'];
	$p_page = $page_ar['id'];
	

	if (check_rights('owner')) {
		//ページ作成者にはログインユーザーでも編集権限を与える
		set_func_right('edit.modules');
		set_func_right('add_page');
		provide_edit_rights();
		provide_edit_module();
	}

	if (PAGE_FOLDER_ID != $page_ar['type']) {
		snippet_format_js_css($page_ar);
		$page_ar['hide-title'] = true;

$params['template_buff'] = <<<EOT
<!doctype html>
<html lang="ja" xmlns="http://www.w3.org/1999/xhtml">
	<head>

		{\$call('theme_proc')}
		{\$ut->expand('head')}
		<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
		{\$load('css',"{\$config['site_url']}css/base")}
		{\$load('less',"{\$config['site_url']}css/onethird.8")}
		<style>
			.onethird-dialog{font-size:14px;text-align:left;display:none;position:absolute;background-color:#fff;color:#000;text-shadow:none;border:4px solid #2f2f2f;-webkit-box-shadow:0 0 6px #000;-moz-box-shadow:0 0 6px #000;box-shadow:0 0 6px #000}.onethird-dialog a,.onethird-dialog a:link,.onethird-dialog a:visited{color:#007aff;text-decoration:none}.onethird-dialog .message{padding:10px 20px}.onethird-dialog .message p{padding-top:10px}.onethird-dialog .contents{padding:0 20px 10px}.onethird-dialog .actions{padding:10px;text-align:center;margin-bottom:10px;border-top:1px solid silver}.onethird-dialog .actions label{display:inline;margin-right:10px}.onethird-dialog .actions input{width:inherit}.onethird-dialog .title{position:relative;font-size:18px;margin:0;font-weight:400;color:#fff;padding:10px 15px 15px 20px;background-color:#414141;background-size:40px;background-image:none\9}.onethird-dialog .title:before{content:' ';position:absolute;top:-3px;left:1px;height:95%;width:8px;background:#b55900}
		</style>
		<script src="//ajax.googleapis.com/ajax/libs/jquery/2.0.3/jquery.min.js"></script>
		{\$ut->expand_sorted('js',1)}
		{\$ut->expand('css',1)}
	</head>

	<body>
		{\$call('system_toolbar')}
		<div class='print-toolbar'>
			{\$call('toolbar')}
		</div>
		<div class="main">
			{\$ut->expand('article')}
		</div>
		{\$ut->expand('meta')}
		{\$call('analytics')}
	</body>

</html>
EOT;

		check_def_format($page_ar);
		if (isset($_GET['mode']) && $_GET['mode'] == 'edit') {
			// 編集
			provide_edit_module();
			unset($params['breadcrumb']);
			snippet_breadcrumb($p_page, 'Page Edit');
			$buff = page_edit_renderer($page_ar);
			$html['article'][] = frame_renderer($buff);
			return;
		}
		$params['hide-blockmenu'] = true;
		$html['article'][] = frame_renderer(body_renderer($page_ar));	// 通常ページ部分
		$html['article'][] = innerpage_renderer($page_ar['id']);
		return;
	}
}

function toolbar()
{
	global $html,$ut,$params;
	if (check_rights('owner') && $params['page']['user'] == $_SESSION['login_id']) {
	} else {
		return;
	}
	$plugin = 'plugin_proc';
	$buff = breadcrumb2();
$buff .= <<<EOT
			<div class='menu'>
				<a href='javascript:void(ot.cp_spage())' class='onethird-button mini' >複製</a>
				<a href='javascript:void(ot.ch_spage())' class='onethird-button mini' >切替</a>
EOT;
				if (!$params['page']['mode']) {
$buff .= <<<EOT
					<a href='javascript:void(ot.public_page({$params['page']['id']}))' class='onethird-button mini' >公開</a>
EOT;
				}
$buff .= <<<EOT
				<div style='display:table'>
					<div style='display:inline-block;width:50px;margin-top:10px'>件名</div>
					<div style='display:table-cell;width:100%'>{$plugin('embed','text','name:title')}</div>
				</div>
			</div>
EOT;
	return $buff;
}

function snippet_format_js_css()
{
	global $html,$ut,$params;

$html['css']['snippet_format_js_css'] = <<<EOT
	<style>
	/*  */
	body {
		width: 172mm;
		margin:0 auto;
		font-family:'Open Sans','Helvetica Neue',Helvetica,Meiryo,Arial,sans-serif;
	}
	* {
		margin:0;
		padding:0;
	}
	.main .onethird-frame {
		height: 245mm;
		font-size:12px;
	}
	a {
		text-decoration: none;
	}
	.print-toolbar .menu {
		padding: 0 0 16px 0;
	}
	.onethird-information {
		z-index: 159999;
		position: fixed;
		left: 50px;
		top: 0;
		opacity: .5;
		cursor: pointer;
		font-size:14px;
	}
	.onethird-information div {
		padding: 8px 10px 8px 10px;
		border-radius: 0 0 6px 6px;
		border: 3px solid #F9AF7D;
		border-top:0;
		color: #FC6500;
		margin-top: 0px;
		background-color: #EAEE80;
	}
	.onethird-information:hover {
		opacity: 0.95;
	}
	p {
		padding: 5px 0 5px 0;
	}

	h1 {
		color: #222;
		font-size: 25px;
		font-weight: normal;
		line-height: 160%;
		margin:25px 0 25px 0;
	}

	h2 {
		font-size: 20px;
		line-height: 150%;
		margin: 30px 0 25px 0;
		font-weight: normal;
		display: inline-block;
		width: 95%;
		color: #222;
	}

	h3 {
		font-size: 17px;
		font-weight: normal;
		line-height: 120%;
		position: relative;
		margin: 1em 0 1em 0;
		color: #222;
		padding: 0;
		border-bottom: 1px dotted #222;
	}

	h4 {
		font-size: 16px;
		font-weight: normal;
		line-height: 120%;
		position: relative;
		margin: 1em 0 1em 0;
		padding: 0;
	}

	.breadcrumb {
		padding: 11px 15px;
		margin:0 0 20px 0;
		list-style: none;
		border: 1px solid rgb(177, 175, 175);
		border-radius: 0 0 10px 10px;
    }
	.breadcrumb li {
		display: inline-block;
	}
	.breadcrumb > li + li:before {
		padding: 0 5px;
		color: #ccc;
		content: "/\\00a0";
	}
	.breadcrumb.active {
		color: #777;
	}

	@media screen {
		body {
			background: #eee;
		}
		.main .onethird-frame {
			background: #fff;
			box-shadow: 0 .5mm 2mm rgba(0,0,0,.3);
			padding:30px 20px 0 20px ;
			height:270mm;
			margin-bottom:100px;
		}
	}
	
	/* for print */
	@page {
	  size: A4;
	  margin: 0;
	}
	 
	@media print {
		body {
			padding:0 !important;
			margin:0 auto !important;
		}
		.main {
			padding:30px 0 0 0 !important;
			margin:5px 0 5px 0 !important;
		}
		.onethird-system-nav-typeB {
			display:none !important;
		}
		.edit_pointer {
			display:none !important;
		}
		.onethird-dialog {
			display:none !important;
		}
		.print-toolbar {
			display:none !important;
		}
	}

	/*  */
	.main .item_panel {
		position: relative;
	}
	.main .item_panel.sel {
		background: #FFDBDB;
	}
	.main .item {
		min-width:100px;
		display: inline-block;
		min-height:20px;
	}

	/* sheet */
	.main table {
	    width: 100%;
	}
	.main .top-left-side {
		width:70%;
		vertical-align: top;
	}
	.main .top-left-side h1{
		width:70%;
		vertical-align: top;
		padding: 0;
		margin: 0 0 35px 0;
	}
	.main .top-right-side {
		width:30%;
		vertical-align: top;
	}
	.main .top-left-side p {
		padding:0;
		margin:0;
		line-height:200%;
	}
	.main .top-right-side p {
		padding:0;
		margin:0;
		line-height:180%;
	}
	.main .top-right-side .price {
		padding:0;
	}
	.main .bottom-side {
		position: absolute; 
		bottom: 30px;
		display:table;
	}
	.main .bottom-left-side {
		display:table-cell;
		vertical-align: top;
	}
	.main .bottom-right-side {
		display:table-cell;
		vertical-align: top;
	}

	</style>
EOT;

	if (check_rights('edit') || check_rights('owner')) {
		if (isset($_POST['ajax']) && $_POST['ajax'] == 'ch_spage')  {
			$page_ar = $params['page'];
			$r = array();
			if (!empty($page_ar['meta']['format_type']) && $page_ar['meta']['format_type'] == 'quotation') {
				$page_ar['meta']['format_type'] = 'invoice';
			} else {
				$page_ar['meta']['format_type'] = 'quotation';
			}
			$page_ar['contents'] = '';
			$r['result'] = mod_data_items($page_ar);
			echo( json_encode($r) );
			exit();
		}
		if (isset($_POST['ajax']) && $_POST['ajax'] == 'cp_spage')  {
			$page_ar = $params['page'];
			$r = $page_ar;
			$r['title'] .= " - (copy)";
			unset($page_ar['meta']['renderer']);
			create_page( $r );
			echo( json_encode($r) );
			exit();
		}
	}

$tmp = <<<EOT
	<script>
		ot.cp_spage = function () {
			if (!confirm('帳票をコピーします、実行しますか？')) {
				return;
			}
			var opt = "ajax=cp_spage";
			ot.ajax({
				type: "POST"
				, url: '{$_SERVER['REQUEST_URI']}'
				, data: opt
				, dataType:'json'
				, success: function(data){
					if ( data && data['result'] ) {
						location.href = data['open_url'];
					} else {
						alert('error');
					}
				}
			});
		};
		ot.ch_spage = function () {
EOT;
		if (!empty($params['page']['contents'])) {
$tmp .= <<<EOT
			if (!confirm('帳票は初期化されます、実行しますか？')) {
				return;
			}
EOT;
		}
			
$tmp .= <<<EOT
			var opt = "ajax=ch_spage";
			ot.ajax({
				type: "POST"
				, url: '{$_SERVER['REQUEST_URI']}'
				, data: opt
				, dataType:'json'
				, success: function(data){
					if ( data && data['result'] ) {
						location.reload(true);
					} else {
						alert('error');
					}
				}
			});
		};
	</script>
EOT;
	$html['meta']['snippet_format_js_css'] = $tmp;


}

function check_def_format(&$page_ar)
{
	global $params,$config,$ut;
	
	if (empty($page_ar['contents'])) {
		if (!empty($page_ar['meta']['format_type']) && $page_ar['meta']['format_type'] == 'quotation') {
$def_format = <<<EOT
	<div class="onethird-ctypedb" > 
		<table>
			<tr>
				<td class='top-left-side'>
					<h1>見積書</h1>
					{\$plugin('embed','html','name:top-left-side')}
					<p><br /></p>
					<p>下記のとおりご見積書申し上げます</p>
					<div style='margin:20px 0;border: 1px solid #748861;width:300px;display:table;border-collapse: collapse;'>
						<div style='background-color: #71984D;color:#fff;display:table-cell;width:100px;padding:10px'>
							ご見積書金額
						</div>
						<div style='display:table-cell;padding:10px;font-size:20px;text-align: right;'>
							<span class='calc price' data-fx='["name:total"]'  ></span>円
						</div>
					</div>
				</td>
				<td class='top-right-side'>
					<p>発行日 : {$ut->substr($params['now'],0,10)}</p>
					<p>見積書番号: {$page_ar['id']}</p>
					<p><br /></p>
					{\$plugin('embed','html','name:top-right-side')}
				</td>
			</tr>
		</table>
		{\$call('sheets','name:sheet1')}
	</div>
	<div class='bottom-side'>
		<div class='bottom-left-side'>
			{\$plugin('embed','html','name:etc')}
		</div>
	</div>
EOT;
		} else {
$def_format = <<<EOT
	<div class="onethird-ctypedb" > 
		<table>
			<tr>
				<td class='top-left-side'>
					<h1>請求書</h1>
					{\$plugin('embed','html','name:top-left-side')}
					<p><br /></p>
					<p>下記のとおりご請求申し上げます</p>
					<div style='margin:20px 0;border: 1px solid #748861;width:300px;display:table;border-collapse: collapse;'>
						<div style='background-color: #71984D;color:#fff;display:table-cell;width:100px;padding:10px'>
							ご請求金額
						</div>
						<div style='display:table-cell;padding:10px;font-size:20px;text-align: right;'>
							<span class='calc price' data-fx='["name:total"]'  ></span>円
						</div>
					</div>
				</td>
				<td class='top-right-side'>
					<p>発行日 : {$ut->substr($params['now'],0,10)}</p>
					<p>請求書番号: {$page_ar['id']}</p>
					<p><br /></p>
					{\$plugin('embed','html','name:top-right-side')}
				</td>
			</tr>
		</table>
		{\$call('sheets','name:sheet1')}
	</div>
	<div class='bottom-side'>
		<div class='bottom-left-side'>
			{\$plugin('embed','html','name:payee')}
		</div>
		<div class='bottom-right-side'>
			{\$plugin('embed','html','name:etc')}
		</div>
	</div>
EOT;
		}
		$page_ar['contents'] = $def_format;
		//mod_data_items($page_ar);
	}

	if (empty($page_ar['meta']['plugin_embed']['top-left-side'])) {
$page_ar['meta']['plugin_embed']['top-left-side'] = <<<EOT
		<p>〒000-0000</p>
		<p>福岡市 中央区 天神</p>
		<p>◯◯ビル 天神</p>
		<p>◯◯株式会社 御中</p>
EOT;
	}

	if (empty($page_ar['meta']['plugin_embed']['top-right-side'])) {
$page_ar['meta']['plugin_embed']['top-right-side'] = <<<EOT
		<p>〒000-0000</p>
		<p>福岡市 中央区 天神</p>
		<p>◯◯ビル 天神</p>
		<p>株式会社◯◯</p>
		<p>TEL：000-000-0000</p>
		<p>MAIL：000-000-0000</p>
		<p>担当 </p>
		<p><br /></p>
		<p><br /></p>
		<p><br /></p>
		<p><br /></p>
		<p><br /></p>
		<p><br /></p>
EOT;
	}

	if (empty($page_ar['meta']['plugin_embed']['payee'])) {
$page_ar['meta']['plugin_embed']['payee'] = <<<EOT
		<div style='width:230px;margin-right:5px;padding: 4px 10px; border: 1px solid #c0c0c0;vertical-align: top;'>
			<p>振込先</p>
			<p>◯◯◯銀行　◯◯◯支店</p>
			<p>普通 123456</p>
			<p>カ)サンプル</p>
		</div>
EOT;
	}

	if (empty($page_ar['meta']['plugin_embed']['etc'])) {
$page_ar['meta']['plugin_embed']['etc'] = <<<EOT
		<div style='width:300px;min-height:100px'>
			<p>備考</p>
		</div>
EOT;
	}

}

function sheets($arg)
{
	global $html,$ut,$params;

	$name = 'sheet';
	if (!empty($arg['name'])) {
		$name = $arg['name'];
	}

	if (check_rights('edit') || check_rights('owner')) {
		if (isset($_POST['ajax']) && $_POST['ajax'] == 'sheet_save')  {
			$r = array();
			$params['page']['meta']['plugin_embed'][$name] = $ut->safe_html($_POST['data']);
			if (isset($_POST['price'])) {
				$params['page']['meta']['plugin_embed']['price'] = (int)$_POST['price'];
			}
			$r['result'] = mod_data_items($params['page']);
			echo( json_encode($r) );
			exit();
		}
	}
	
$html['css']['sheet-plugin'] = <<<EOT
	<style>
		.sheet-plugin {
			position: relative;
		}
		.sheet-plugin .save_handle {
			position: absolute;
			top: -23px;
			right: 6px;
		}
		.sheet-plugin table {
			width: 100%;
			border-collapse: collapse;
			border-spacing: 0;
			margin:10px 0;
			font-size:14px;
		}
		.sheet-plugin th, .sheet-plugin td {
			border: 1px solid #748861;
			padding: 4px 10px 4px 10px;
			font-weight: normal;
			min-height:1em;
		}
		.sheet-plugin th {
			background-color: #8FB36E;
			white-space: nowrap;
			color: #222;
			text-align: left;
		}
		.sheet-plugin td:first-child {
			width:60%;
		}
		.sheet-plugin .price {
			text-align: right;
		}
		.item_panel .handle {
			position: absolute;
			/*top:3px;*/
			right:-100px;
		}
		.item_panel .handle img {
			width:18px;
			margin-left:7px;
			cursor:pointer;
		}
		.item_panel:nth-child(odd) {
			background-color: #E6F1DC;
		}
		.amount_panel {
			background-color: #fff;
		}
		.amount_panel td:nth-child(3) {
			background-color: #8FB36E;
		}
	</style>
EOT;

$html['meta']['sheet-plugin00'] = <<<EOT
	<script>
		\$(function(){
			ot.adj_sheet_calc = function(){
				var calc_obj = [];
				var wait_obj = {};
				\$('.calc').each(function(){
					calc_obj.push(this);
				});
				for (var ix = 0; ix < calc_obj.length; ++ix) {
					if (ix > 100) { break; }
					var o = \$(calc_obj[ix]);
					if (o.attr('data-fx')) {
						
						var a = JSON.parse(o.attr('data-fx'));
						var reg_tmp = '';
						var reg_op = '';
						for (var i=0; i < a.length;++i) {
							var j = a[i];
							var reg_obj = null;
							var x = j.substr(0,1);
							var sel = 0;
							if (j=='sum') {
								reg_obj = o;
								var k = j.substr(2);
								var p = reg_obj.parent();
								var idx = p.find('tr,td').index(reg_obj)+1;
								sel = 0;
								while (true) {
									p = p.prev();
									if (!p || p.length==0 || !p.hasClass('item_panel')) {
										break;
									}
									var a = parseFloat(p.find('td:nth-child('+idx+'), th:nth-child('+idx+')').text().replace(',',''));
									if (!isNaN(a)) {
										sel += a;
									}
								}
							} else if (j=='int') {
								reg_tmp = parseInt(reg_tmp);
								o.text(reg_tmp);
								continue;
							/*} else if (j=='price') {
								reg_tmp = reg_tmp.toLocaleString();
								o.text(reg_tmp);
								continue;*/
							} else if (j.substr(0,5) == 'name:') {
								var n = j.substr(5);
								if (!wait_obj[n]) {
									calc_obj.push(calc_obj[ix]);
									wait_obj[n] = true;
								}
								reg_tmp = \$(' *[data-name='+n+']').text();
								continue;
							} else if (x=="R") {
								reg_obj = o;
								var k = j.substr(2);
								if (j.substr(1,1)=="-") {
									while(k-->0) {
										reg_obj = reg_obj.prev();
									}
									sel = parseFloat(reg_obj.text().replace(',',''));
								} else if (j.substr(1,1)=="+") {
									while(k-->0) {
										reg_obj = reg_obj.next();
									}
									sel = parseFloat((reg_obj.text()).replace(',',''));
								} else {
									continue;
								}
							} else if (x=="C") {
								reg_obj = o;
								var k = j.substr(2);
								var p = reg_obj.parent();
								if (j.substr(1,1)=="-") {
									var idx = p.find('tr,td').index(reg_obj)+1;
									while(k-->0) {
										p = p.prev();
									}
									sel = parseFloat(p.find('td:nth-child('+idx+'), th:nth-child('+idx+')').text().replace(',',''));
								} else if (j.substr(1,1)=="+") {
									while(k-->0) {
										reg_obj = reg_obj.next();
									}
									sel = parseFloat(reg_obj.text().replace(',',''));
								} else {
									continue;
								}
							} else if ("+*-/".indexOf(x)!==-1) {
								reg_op = x;
								continue;
							} else {
								sel = parseFloat(j);
							}
							if (isNaN(sel)) {
								continue;
							}
							if (reg_op && reg_tmp !== '') {
								if (reg_op == '*') {
									reg_tmp = sel * reg_tmp;
								} else if (reg_op == '+') {
									reg_tmp = sel + reg_tmp;
								} else if (reg_op == '-') {
									reg_tmp = sel - reg_tmp;
								} else if (reg_op == '/') {
									reg_tmp = sel / reg_tmp;
								}
							} else {
								reg_tmp = sel;
							}
						}
						o.text(reg_tmp);
					}
				}
			};
			ot.adj_sheet_price = function(){
				\$('.price').each(function(){
					var o = \$(this);
					var x = o.text();
					x = x.replace(',','');
					x = parseInt(x);
					if (!isNaN(x)) {
						o.text(x.toLocaleString());
					}
				});
			}
			ot.adj_sheet_calc();
			ot.adj_sheet_price();
		});
		
	</script>
EOT;

	if (check_rights('edit') || check_rights('owner')) {
$html['meta']['sheet-plugin01'] = <<<EOT
	<script>
		\$(function(){
			\$(document).on('click','.sheet-plugin .item_panel',function(){
				if (ot.item_panel != this) {
					ot.adj_sheet_hnd(this);
					ot.adj_sheet_save_hnd(true);
				}
			});
			\$(document).on('keyup','.sheet-plugin .contenteditable',function(){
				ot.adj_sheet_calc();
			});
			ot.sheet_add = function(obj){
				var o = obj.parentElement.parentElement.outerHTML;
				o = \$(o);
				o.removeClass('sel').find('span.handle').remove();
				\$(obj).parents('.item_panel').after(o);
				ot.adj_sheet_calc();
			};
			ot.sheet_del = function(obj){
				\$(obj).parents('.item_panel').remove();
				ot.adj_sheet_calc();
			};
			ot.sheet_up = function(obj){
				var o = \$(obj).parents('.item_panel');
				var x = o.prev();
				if (x.length) {
					x.before(o);
				}
			};
			ot.sheet_dn = function(obj){
				var o = \$(obj).parents('.item_panel');
				var x = o.next();
				if (x != o) {
					x.after(o);
				}
			};
			ot.adj_sheet_hnd = function(o){
				if (!o) {
					ot.item_panel = null;
					\$('.sheet-plugin .handle').remove();
					return;
				}
				ot.item_panel = o;
				\$('.sheet-plugin .item_panel').removeClass('sel');
				\$('.sheet-plugin .item_panel .handle').remove();
				\$(ot.item_panel).addClass('sel');
				\$(o).append("<span class='handle'>{$ut->icon('add'," onclick='ot.sheet_add(this)' ")}{$ut->icon('remove'," onclick='ot.sheet_del(this)' ")}{$ut->icon('up'," onclick='ot.sheet_up(this)' ")}{$ut->icon('dn'," onclick='ot.sheet_dn(this)' ")}</span>");
				\$(ot.item_panel).find('.contenteditable').prop('contenteditable',true);
			};
			ot.adj_sheet_save_hnd = function(mode) {
				if (mode) {
					if (\$('.sheet-plugin .save_handle').length==0) {
						\$('.sheet-plugin').append("<span class='save_handle'>{$ut->icon('save'," onclick='ot.sheet_save(this)' ")}</span>");
					}
				} else {
					\$('.sheet-plugin .save_handle').remove();
				}
			};
			ot.sheet_save = function(obj){
				ot.adj_sheet_hnd(false);
				ot.adj_sheet_save_hnd(false);
				\$('.sheet-plugin .sel').removeClass('sel');
				\$('.sheet-plugin .contenteditable').removeAttr('contenteditable');
				var opt = "ajax=sheet_save";
				opt += "&data="+encodeURIComponent("<div class='sheet-plugin'>"+\$('.sheet-plugin').html()+"</div>");
				var a = \$('*[data-name=total]').text();
				if (a) {
					a = a.replace(',','');
					opt += "&price="+a;
				}
				ot.ajax({
					type: "POST"
					, url: '{$_SERVER['REQUEST_URI']}'
					, data: opt
					, dataType:'json'
					, success: function(data){
						if ( data && data['result'] ) {
							ot.adj_sheet_price();
						} else {
							alert('error');
							ot.adj_sheet_save_hnd(true);
						}
					}
				});
			};
		});
	</script>
EOT;
	}

	if (!empty($params['page']['meta']['plugin_embed'][$name])) {
		return $params['page']['meta']['plugin_embed'][$name];
	}

$buff = <<<EOT
	<div class='sheet-plugin'>
		<table >
			<tr>
				<th>品目</th>
				<th>単価</th>
				<th>数量</th>
				<th>金額</th>
			</tr>
			<tr class='item_panel'>
				<td class='contenteditable' >サンプル</td>
				<td class='contenteditable price' >5000</td>
				<td class='contenteditable price' >1</td>
				<td class='calc price' data-fx='["R-1","*","R-2"]'  ></td>
			</tr>
			<tr class='item_panel'>
				<td class='contenteditable' >&nbsp; </td>
				<td class='contenteditable price' ></td>
				<td class='contenteditable price' ></td>
				<td class='calc price' data-fx='["R-1","*","R-2"]'  ></td>
			</tr>
			<tr class='item_panel'>
				<td class='contenteditable' >&nbsp; </td>
				<td class='contenteditable price' ></td>
				<td class='contenteditable price' ></td>
				<td class='calc price' data-fx='["R-1","*","R-2"]'  ></td>
			</tr>
			<tr class='item_panel'>
				<td class='contenteditable' >&nbsp; </td>
				<td class='contenteditable price' ></td>
				<td class='contenteditable price' ></td>
				<td class='calc price' data-fx='["R-1","*","R-2"]'  ></td>
			</tr>
			<tr class='item_panel'>
				<td class='contenteditable' >&nbsp; </td>
				<td class='contenteditable price' ></td>
				<td class='contenteditable price' ></td>
				<td class='calc price' data-fx='["R-1","*","R-2"]'  ></td>
			</tr>
			<tr class='item_panel'>
				<td class='contenteditable' >&nbsp; </td>
				<td class='contenteditable price' ></td>
				<td class='contenteditable price' ></td>
				<td class='calc price' data-fx='["R-1","*","R-2"]'  ></td>
			</tr>
			<tr class='item_panel'>
				<td class='contenteditable' >&nbsp; </td>
				<td class='contenteditable price' ></td>
				<td class='contenteditable price' ></td>
				<td class='calc price' data-fx='["R-1","*","R-2"]'  ></td>
			</tr>
			<tr class='item_panel'>
				<td class='contenteditable' >&nbsp; </td>
				<td class='contenteditable price' ></td>
				<td class='contenteditable price' ></td>
				<td class='calc price' data-fx='["R-1","*","R-2"]'  ></td>
			</tr>
			<tr class='item_panel'>
				<td class='contenteditable' >&nbsp; </td>
				<td class='contenteditable price' ></td>
				<td class='contenteditable price' ></td>
				<td class='calc price' data-fx='["R-1","*","R-2"]'  ></td>
			</tr>
			<tr class='item_panel'>
				<td class='contenteditable' >&nbsp; </td>
				<td class='contenteditable price' ></td>
				<td class='contenteditable price' ></td>
				<td class='calc price' data-fx='["R-1","*","R-2"]'  ></td>
			</tr>
			<tr class='item_panel'>
				<td class='contenteditable' >&nbsp; </td>
				<td class='contenteditable price' ></td>
				<td class='contenteditable price' ></td>
				<td class='calc price' data-fx='["R-1","*","R-2"]'  ></td>
			</tr>
			<tr class='item_panel'>
				<td class='contenteditable' >&nbsp; </td>
				<td class='contenteditable price' ></td>
				<td class='contenteditable price' ></td>
				<td class='calc price' data-fx='["R-1","*","R-2"]'  ></td>
			</tr>
			<tr class='amount_panel'>
				<td style='border:none'></td>
				<td style='border:none'></td>
				<td >小計</td>
				<td class='calc price' data-fx='["sum"]'  ></td>
			</tr>
			<tr class='amount_panel'>
				<td style='border:none'></td>
				<td style='border:none'></td>
				<td>消費税</td>
				<td class='calc price'  data-fx='["C-1","*","0.08","int"]' ></td>
			</tr>
			<tr class='amount_panel'>
				<td style='border:none'></td>
				<td style='border:none'></td>
				<td >合計</td>
				<td class='calc price' data-fx='["C-1","+","C-2"]' data-name='total' ></td>
			</tr>
		</table>
	</div>
EOT;
	return $buff;

}

function theme_proc()
{
	if (!function_exists('system_toolbar')) {
		load_proc('php',".data/theme");
	}
}

function breadcrumb2()
{
	global $params,$ut;
	if ( isset($params['circle']) && isset($params['circle']['name']) ) {
		$name = $params['circle']['name'];
		if ( isset($params['breadcrumb']) ) {
			//パンくずの作成
			$a = '';
$a .= <<<EOT
			<li ><a href="{$ut->link()}">{$name}</a> </li>
EOT;
			if ( is_array($params['breadcrumb']) ) {
				$c = count($params['breadcrumb']);
				for ( $i=0; $i < $c; ++$i ) {
					$v = $params['breadcrumb'][$i];
					if ( $i != $c-1 ) {
						$d1 = '';
					} else {
						$d1 = ' class="active" ';
					}
					if ( $v['link'] ) {
$a .= <<<EOT
						<li $d1><a href="{$v['link']}">{$v['text']}</a> </li>
EOT;
					} else {
$a .= <<<EOT
						<li $d1>{$v['text']} </li>
EOT;
					}
				}
			}
			return '<ul class="breadcrumb " >'.$a.'</ul>';
		}
	}
	return '';
}

?>